> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Watermark

> Delete a watermark.

If the watermark is in use by shares, returns 409 with the share count.
To proceed, either:
- Set force=true to delete and remove watermarking from affected shares
- Set replace_with={other_watermark_id} to reassign affected shares first



## OpenAPI

````yaml /api-reference/openapi.json delete /watermarks/{watermark_id}
openapi: 3.1.0
info:
  title: Aspect API
  description: Manage and search media in Aspect.
  version: 1.0.0
servers:
  - url: https://api.aspect.inc
security:
  - ApiKeyAuth: []
tags:
  - name: Users
  - name: API Keys
  - name: Workspaces
  - name: Projects
  - name: Directories
  - name: Assets
  - name: Attachments
  - name: Filesystem Items
  - name: Jobs
  - name: Collections
  - name: Comments
  - name: Search
  - name: Transcription
  - name: Metadata
  - name: Shares
  - name: Share Templates
  - name: Watermarks
paths:
  /watermarks/{watermark_id}:
    delete:
      tags:
        - Watermarks
      summary: Delete Watermark
      description: >-
        Delete a watermark.


        If the watermark is in use by shares, returns 409 with the share count.

        To proceed, either:

        - Set force=true to delete and remove watermarking from affected shares

        - Set replace_with={other_watermark_id} to reassign affected shares
        first
      operationId: delete_watermark
      parameters:
        - name: watermark_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Watermark Id
        - name: force
          in: query
          required: false
          schema:
            type: boolean
            description: Force deletion even if the watermark is in use by shares
            default: false
            title: Force
          description: Force deletion even if the watermark is in use by shares
        - name: replace_with
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Reassign affected shares to this watermark before deleting
            title: Replace With
          description: Reassign affected shares to this watermark before deleting
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.